diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenInventoryCreative.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenInventoryCreative.java
index 8e010b1e5..79e1c3ed6 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenInventoryCreative.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenInventoryCreative.java
@@ -31,7 +31,7 @@ public class ScreenInventoryCreative extends ScreenInventory implements ITextCha
     public ScreenInventoryCreative(Player entityplayer) {
         super(entityplayer);
         this.xSize = 298;
-        this.container = (MenuInventoryCreative) entityplayer.inventorySlots;
+        this.container = (MenuInventoryCreative) entityplayer.inventoryMenu;
         this.armourValuesFloat = 186;
         this.armourButtonFloatX = 81;
         this.overlayButtonsLayout.setOffset(-(this.xSize / 2), -(this.ySize / 2) - 10);
@@ -149,7 +149,7 @@ public class ScreenInventoryCreative extends ScreenInventory implements ITextCha
     }
 
     @Override
-    protected void drawGuiContainerBackgroundLayer(float f) {
+    protected void drawGuiContainerBackgroundLayer(float partialTick) {
         scroll(Mouse.getDWheel());
 
         GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
@@ -174,29 +174,34 @@ public class ScreenInventoryCreative extends ScreenInventory implements ITextCha
         float f1 = 30F;
         GLRenderer.modelM4f().scale(-f1, f1, f1);
         GLRenderer.modelM4f().rotateZ(org.joml.Math.toRadians(180F));
-        float f2 = this.mc.thePlayer.yBodyRot;
-        float f3 = this.mc.thePlayer.yRot;
-        float f4 = this.mc.thePlayer.xRot;
-        float f5 = (float) (x + 51) - this.xSize_lo;
-        float f6 = (float) ((y + 75) - 50) - this.ySize_lo;
+        float yBodyRot = this.mc.thePlayer.yBodyRot;
+        float yBodyRotO = this.mc.thePlayer.yBodyRotO;
+        float yRot = this.mc.thePlayer.yRot;
+        float yRotO = this.mc.thePlayer.yRotO;
+        float xRot = this.mc.thePlayer.xRot;
+        float xRotO = this.mc.thePlayer.xRotO;
+        float eyesX = (float) (x + 51) - this.xSize_lo;
+        float eyesY = (float) ((y + 75) - 50) - this.ySize_lo;
         GLRenderer.modelM4f().rotateY(org.joml.Math.toRadians(135F));
         Lighting.enableLight();
         GLRenderer.modelM4f().rotateY(org.joml.Math.toRadians(-135F));
-        GLRenderer.modelM4f().rotateX(org.joml.Math.toRadians(-(float) Math.atan(f6 / 40F) * 20F));
-        this.mc.thePlayer.yBodyRot = (float) Math.atan(f5 / 40F) * 20F;
-        this.mc.thePlayer.yRot = (float) Math.atan(f5 / 40F) * 40F;
-        this.mc.thePlayer.xRot = -(float) Math.atan(f6 / 40F) * 20F;
-        this.mc.thePlayer.entityBrightness = 1.0F;
+        GLRenderer.modelM4f().rotateX(org.joml.Math.toRadians(-(float) Math.atan(eyesY / 40F) * 20F));
+        this.mc.thePlayer.yBodyRotO = this.mc.thePlayer.yBodyRot = (float) Math.atan(eyesX / 40F) * 20F;
+        this.mc.thePlayer.yRotO = this.mc.thePlayer.yRot = (float) Math.atan(eyesX / 40F) * 40F;
+        this.mc.thePlayer.xRotO = this.mc.thePlayer.xRot = -(float) Math.atan(eyesY / 40F) * 20F;
         GLRenderer.modelM4f().translate(0.0F, this.mc.thePlayer.heightOffset, 0.0F);
         EntityRendererDispatcher.instance.viewLerpYaw = 180F;
         EntityRenderer.renderShadows = false;
         GLRenderer.globalGetNormalTransformMatrix().scale(1, -1, 1);
-        EntityRendererDispatcher.instance.renderEntityPreviewWithPosYaw(GLRenderer.getTessellator(), this.mc.thePlayer, 0.0D, 0.0D, 0.0D, 0.0F, 1.0F);
+        GLRenderer.setLightmapCoord2i(15, 15);
+        EntityRendererDispatcher.instance.renderEntityPreviewWithPosYaw(GLRenderer.getTessellator(), this.mc.thePlayer, 0.0D, 0.0D, 0.0D, 0.0F, partialTick);
         EntityRenderer.renderShadows = true;
-        this.mc.thePlayer.entityBrightness = 0.0F;
-        this.mc.thePlayer.yBodyRot = f2;
-        this.mc.thePlayer.yRot = f3;
-        this.mc.thePlayer.xRot = f4;
+        this.mc.thePlayer.yBodyRot = yBodyRot;
+        this.mc.thePlayer.yBodyRotO = yBodyRotO;
+        this.mc.thePlayer.yRot = yRot;
+        this.mc.thePlayer.yRotO = yRotO;
+        this.mc.thePlayer.xRot = xRot;
+        this.mc.thePlayer.xRotO = xRotO;
         GLRenderer.popFrame();
         Lighting.disable();
         this.searchField.drawTextBox();
diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenTrommel.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenTrommel.java
index 3442f0131..aa52c1f05 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenTrommel.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenTrommel.java
@@ -23,7 +23,7 @@ public class ScreenTrommel extends ScreenContainerAbstract {
     }
 
     @Override
-    protected void drawGuiContainerBackgroundLayer(float f) {
+    protected void drawGuiContainerBackgroundLayer(float partialTick) {
         GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/trommel.png").bind();
         int j = (this.width - this.xSize) / 2;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngame.java b/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngame.java
index 4de644106..2907d5591 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngame.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngame.java
@@ -3,10 +3,7 @@ package net.minecraft.client.gui.hud;
 import static net.minecraft.core.util.helper.Utils.*;
 
 import java.awt.Color;
-import java.util.ArrayList;
-import java.util.HashMap;
-import java.util.List;
-import java.util.Map;
+import java.util.*;
 
 import com.mojang.logging.LogUtils;
 import net.minecraft.client.entity.player.PlayerLocalMultiplayer;
@@ -72,7 +69,7 @@ public class HudIngame extends Gui {
     private String recordPlaying = "";
     private int recordPlayingUpFor = 0;
     private boolean colorString = false;
-    public float damageGuiPartialTime;
+    public float destroyProgress;
     float prevVignetteBrightness = 1.0f;
     protected FontRenderer fontRenderer;
     public int chatScroll = 0;
@@ -104,7 +101,7 @@ public class HudIngame extends Gui {
 
         // Render pumpkin overlay
         final ItemStack headSlotItem = this.mc.thePlayer.inventory.armorItemInSlot(HumanArmorShape.HEAD);
-        if (this.mc.gameSettings.thirdPersonView.value == 0 && headSlotItem != null && (headSlotItem.itemID == Blocks.PUMPKIN_CARVED_IDLE.id() || headSlotItem.itemID == Blocks.PUMPKIN_REDSTONE.id())) {
+        if (this.mc.gameSettings.thirdPersonView.value == 0 && headSlotItem != null && (headSlotItem.getItem() == Blocks.PUMPKIN_CARVED_IDLE.asItem() || headSlotItem.getItem() == Blocks.PUMPKIN_REDSTONE.asItem())) {
             renderPumpkinBlur(width, height);
         }
 
@@ -336,50 +333,48 @@ public class HudIngame extends Gui {
                 if (this.mc.objectMouseOver instanceof HitResult.Tile hitTile) {
                     this.debugOffset += space;
 
-                    Block<?> block = Blocks.blocksList[this.mc.currentWorld.getBlockId(hitTile.tilePos)];
-                    if (block != null) {
-                        drawDebugScreenLineRight("Looking at:");
+                    Block<?> block = this.mc.currentWorld.getBlockType(hitTile.tilePos);
+                    drawDebugScreenLineRight("Looking at:");
 
-                        String name;
-                        int meta = this.mc.currentWorld.getBlockData(hitTile.tilePos);
-                        try {
-                            name = new ItemStack(block, 1, meta).getDisplayName();
-                        } catch (Exception e) {
-                            name = "<ERROR>";
-                        }
+                    String name;
+                    int meta = this.mc.currentWorld.getBlockData(hitTile.tilePos);
+                    try {
+                        name = new ItemStack(block, 1, meta).getDisplayName();
+                    } catch (Exception e) {
+                        name = "<ERROR>";
+                    }
 
-                        String id = block.namespaceId() + " [" + block.id() + ":" + meta + "]";
+                    String id = block.namespaceId() + " [" + block.id() + ":" + meta + "]";
 
-                        drawDebugScreenLineRight(name);
-                        drawDebugScreenLineRight(block.getLanguageKey(meta));
-                        drawDebugScreenLineRight(id);
+                    drawDebugScreenLineRight(name);
+                    drawDebugScreenLineRight(block.getLanguageKey(meta));
+                    drawDebugScreenLineRight(id);
 
-                        if (compass) {
-                            drawDebugScreenLineRight("[" + hitTile.tilePos.x() + ", " + hitTile.tilePos.y() + ", " + hitTile.tilePos.z() + "]");
-                        }
+                    if (compass) {
+                        drawDebugScreenLineRight("[" + hitTile.tilePos.x() + ", " + hitTile.tilePos.y() + ", " + hitTile.tilePos.z() + "]");
+                    }
 
-                        drawDebugScreenLineRight("Harvest: " + this.mc.thePlayer.canHarvestBlock(block));
+                    drawDebugScreenLineRight("Harvest: " + this.mc.thePlayer.canHarvestBlock(block));
 
-                        if (clock) {
-                            int lightX = hitTile.tilePos.x();
-                            int lightY = hitTile.tilePos.y();
-                            int lightZ = hitTile.tilePos.z();
+                    if (clock) {
+                        int lightX = hitTile.tilePos.x();
+                        int lightY = hitTile.tilePos.y();
+                        int lightZ = hitTile.tilePos.z();
 
-                            Side side = hitTile.side;
-                            lightX += side.getOffsetX();
-                            lightY += side.getOffsetY();
-                            lightZ += side.getOffsetZ();
+                        Side side = hitTile.side;
+                        lightX += side.getOffsetX();
+                        lightY += side.getOffsetY();
+                        lightZ += side.getOffsetZ();
 
-                            drawDebugScreenLineRight("Light: Sky: " + this.mc.currentWorld.getSavedLightValue(LightLayer.Sky, lightX, lightY, lightZ) + " Block: " + this.mc.currentWorld.getSavedLightValue(LightLayer.Block, lightX, lightY, lightZ));
-                        }
+                        drawDebugScreenLineRight("Light: Sky: " + this.mc.currentWorld.getSavedLightValue(LightLayer.Sky, lightX, lightY, lightZ) + " Block: " + this.mc.currentWorld.getSavedLightValue(LightLayer.Block, lightX, lightY, lightZ));
+                    }
 
-                        drawDebugScreenLineRight("Signal: " + this.mc.currentWorld.hasSignal(hitTile.tilePos, hitTile.side));
-                        drawDebugScreenLineRight("Direct signal: " + this.mc.currentWorld.hasDirectSignal(hitTile.tilePos, hitTile.side));
+                    drawDebugScreenLineRight("Signal: " + this.mc.currentWorld.hasSignal(hitTile.tilePos, hitTile.side));
+                    drawDebugScreenLineRight("Direct signal: " + this.mc.currentWorld.hasDirectSignal(hitTile.tilePos, hitTile.side));
 
-                        for (Tag<Block<?>> tag : BlockTags.TAG_LIST) {
-                            if (tag.appliesTo(block)) {
-                                drawDebugScreenLineRight(tag.getName());
-                            }
+                    for (Tag<Block<?>> tag : BlockTags.TAG_LIST) {
+                        if (tag.appliesTo(block)) {
+                            drawDebugScreenLineRight(tag.getName());
                         }
                     }
                 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java b/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java
index 4b0dd4956..3afee5d6a 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java
@@ -45,7 +45,7 @@ public class HudIngameDoom
 
         // Render pumpkin overlay
         ItemStack headSlotItem = this.mc.thePlayer.getItemInArmorSlot(HumanArmorShape.HEAD);
-        if (this.mc.gameSettings.thirdPersonView.value == 0 && headSlotItem != null && (headSlotItem.itemID == Blocks.PUMPKIN_CARVED_IDLE.id() || headSlotItem.itemID == Blocks.PUMPKIN_REDSTONE.id())) {
+        if (this.mc.gameSettings.thirdPersonView.value == 0 && headSlotItem != null && (headSlotItem.getItem() == Blocks.PUMPKIN_CARVED_IDLE.asItem() || headSlotItem.itemID == Blocks.PUMPKIN_REDSTONE.id())) {
             renderPumpkinBlur(width, height);
         }
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java
index 0f1359e05..efc1934d2 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java
@@ -23,7 +23,7 @@ public class HudComponentArmorBar
 
     @Override
     public boolean isVisible() {
-        return mc.playerController.canHurtPlayer() && mc.gameSettings.immersiveMode.drawHotbar() && mc.thePlayer.getPlayerProtectionAmount() > 0;
+        return mc.gameSettings.immersiveMode.drawHotbar() && mc.thePlayer.getPlayerProtectionAmount() > 0;
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentFireBar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentFireBar.java
index 99e610a4d..0b34a6071 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentFireBar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentFireBar.java
@@ -15,7 +15,7 @@ public class HudComponentFireBar
 
     @Override
     public boolean isVisible() {
-        return mc.gameSettings.immersiveMode.drawHotbar() && mc.playerController.canHurtPlayer() && !mc.thePlayer.getGamemode().hasInvulnerablePlayer() && mc.thePlayer.remainingFireTicks > 0;
+        return mc.gameSettings.immersiveMode.drawHotbar() && !mc.thePlayer.getGamemode().hasInvulnerablePlayer() && mc.thePlayer.remainingFireTicks > 0;
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java
index 72a5641f4..294532b28 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentHealthBar.java
@@ -26,7 +26,7 @@ public class HudComponentHealthBar
 
     @Override
     public boolean isVisible() {
-        return mc.playerController.canHurtPlayer() && !mc.thePlayer.getGamemode().hasInvulnerablePlayer() && mc.gameSettings.immersiveMode.drawHotbar();
+        return !mc.thePlayer.getGamemode().hasInvulnerablePlayer() && mc.gameSettings.immersiveMode.drawHotbar();
     }
 
     @Override
@@ -88,7 +88,7 @@ public class HudComponentHealthBar
                     }
                 }
                 if (mc.objectMouseOver instanceof HitResult.Tile hitTile) {
-                    Block<?> b = mc.currentWorld.getBlock(hitTile.tilePos);
+                    Block<?> b = mc.currentWorld.getBlockType(hitTile.tilePos);
                     if (Block.getLogicClass(b) instanceof BlockLogicEdible edible) {
                         healing = edible.getHealAmount(mc.currentWorld, hitTile.tilePos);
                     }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentOxygenBar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentOxygenBar.java
index 3fc7f4bec..b04117d28 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentOxygenBar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentOxygenBar.java
@@ -23,7 +23,7 @@ public class HudComponentOxygenBar
 
     @Override
     public boolean isVisible() {
-        return mc.gameSettings.immersiveMode.drawHotbar() && mc.playerController.canHurtPlayer() && !mc.thePlayer.getGamemode().hasInvulnerablePlayer() && mc.thePlayer.isUnderLiquid(Materials.WATER);
+        return mc.gameSettings.immersiveMode.drawHotbar() && !mc.thePlayer.getGamemode().hasInvulnerablePlayer() && mc.thePlayer.isUnderLiquid(Materials.WATER);
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java b/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
index 44a7a8e58..892633eaf 100644
--- a/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
+++ b/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
@@ -883,37 +883,37 @@ public class PacketHandlerClient extends PacketHandler
             case PacketContainerOpen.TYPE_GENERIC_CONTAINER: {
                 ContainerSimple simpleContainer = new ContainerSimple(packetContainerOpen.windowTitle, packetContainerOpen.slotsCount);
                 mc.thePlayer.displayContainerScreen(simpleContainer);
-                mc.thePlayer.craftingInventory.containerId = packetContainerOpen.windowId;
+                mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_FURNACE: {
                 TileEntityFurnace tileEntityFurnace = new TileEntityFurnace();
                 mc.thePlayer.displayFurnaceScreen(tileEntityFurnace);
-                mc.thePlayer.craftingInventory.containerId = packetContainerOpen.windowId;
+                mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_DISPENSER: {
                 TileEntityDispenser tileEntityDispenser = new TileEntityDispenser();
                 mc.thePlayer.displayDispenserScreen(tileEntityDispenser);
-                mc.thePlayer.craftingInventory.containerId = packetContainerOpen.windowId;
+                mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_ACTIVATOR: {
                 TileEntityActivator tileEntityActivator = new TileEntityActivator();
                 mc.thePlayer.displayActivatorScreen(tileEntityActivator);
-                mc.thePlayer.craftingInventory.containerId = packetContainerOpen.windowId;
+                mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_BLAST_FURNACE: {
                 TileEntityFurnaceBlast tileEntityFurnaceBlast = new TileEntityFurnaceBlast();
                 mc.thePlayer.displayBlastFurnaceScreen(tileEntityFurnaceBlast);
-                mc.thePlayer.craftingInventory.containerId = packetContainerOpen.windowId;
+                mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_TROMMEL: {
                 TileEntityTrommel tileEntityTrommel = new TileEntityTrommel();
                 mc.thePlayer.displayTrommelScreen(tileEntityTrommel);
-                mc.thePlayer.craftingInventory.containerId = packetContainerOpen.windowId;
+                mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
                 break;
             }
             case PacketContainerOpen.TYPE_PAINTING: {
@@ -923,7 +923,7 @@ public class PacketHandlerClient extends PacketHandler
             case PacketContainerOpen.TYPE_CRAFTING: {
                 PlayerLocal playerLocal = mc.thePlayer;
                 mc.thePlayer.displayWorkbenchScreen(new TilePos(playerLocal.x, playerLocal.y, playerLocal.z));
-                mc.thePlayer.craftingInventory.containerId = packetContainerOpen.windowId;
+                mc.thePlayer.containerMenu.containerId = packetContainerOpen.windowId;
                 break;
             }
             default: {
@@ -940,7 +940,7 @@ public class PacketHandlerClient extends PacketHandler
         {
             TileEntityFlag tileEntityFlag = (TileEntityFlag) tileEntity;
             mc.thePlayer.displayFlagEditorScreen(tileEntityFlag);
-            mc.thePlayer.craftingInventory.containerId = packetFlagOpen.windowId;
+            mc.thePlayer.containerMenu.containerId = packetFlagOpen.windowId;
         }
     }
 
@@ -959,16 +959,16 @@ public class PacketHandlerClient extends PacketHandler
         }
         else if (packetContainerSetSlot.windowId == 0 && packetContainerSetSlot.itemSlot >= 36 && packetContainerSetSlot.itemSlot < 45)
         {
-            ItemStack itemstack = mc.thePlayer.inventorySlots.getSlot(packetContainerSetSlot.itemSlot).getItemStack();
+            ItemStack itemstack = mc.thePlayer.inventoryMenu.getSlot(packetContainerSetSlot.itemSlot).getItemStack();
             if (packetContainerSetSlot.myItemStack != null && (itemstack == null || itemstack.stackSize < packetContainerSetSlot.myItemStack.stackSize))
             {
                 packetContainerSetSlot.myItemStack.animationsToGo = 5;
             }
-            mc.thePlayer.inventorySlots.setItem(packetContainerSetSlot.itemSlot, packetContainerSetSlot.myItemStack);
+            mc.thePlayer.inventoryMenu.setItem(packetContainerSetSlot.itemSlot, packetContainerSetSlot.myItemStack);
         }
-        else if (packetContainerSetSlot.windowId == mc.thePlayer.craftingInventory.containerId)
+        else if (packetContainerSetSlot.windowId == mc.thePlayer.containerMenu.containerId)
         {
-            mc.thePlayer.craftingInventory.setItem(packetContainerSetSlot.itemSlot, packetContainerSetSlot.myItemStack);
+            mc.thePlayer.containerMenu.setItem(packetContainerSetSlot.itemSlot, packetContainerSetSlot.myItemStack);
         }
     }
 
@@ -978,11 +978,11 @@ public class PacketHandlerClient extends PacketHandler
         MenuAbstract container = null;
         if (packetContainerAck.windowId == 0)
         {
-            container = mc.thePlayer.inventorySlots;
+            container = mc.thePlayer.inventoryMenu;
         }
-        else if (packetContainerAck.windowId == mc.thePlayer.craftingInventory.containerId)
+        else if (packetContainerAck.windowId == mc.thePlayer.containerMenu.containerId)
         {
-            container = mc.thePlayer.craftingInventory;
+            container = mc.thePlayer.containerMenu;
         }
         if (container != null)
         {
@@ -1003,11 +1003,11 @@ public class PacketHandlerClient extends PacketHandler
     {
         if (packetContainerSetContent.windowId == 0)
         {
-            mc.thePlayer.inventorySlots.setAll(packetContainerSetContent.stackList);
+            mc.thePlayer.inventoryMenu.setAll(packetContainerSetContent.stackList);
         }
-        else if (packetContainerSetContent.windowId == mc.thePlayer.craftingInventory.containerId)
+        else if (packetContainerSetContent.windowId == mc.thePlayer.containerMenu.containerId)
         {
-            mc.thePlayer.craftingInventory.setAll(packetContainerSetContent.stackList);
+            mc.thePlayer.containerMenu.setAll(packetContainerSetContent.stackList);
         }
     }
 
@@ -1015,9 +1015,9 @@ public class PacketHandlerClient extends PacketHandler
     public void handleContainerSetData(@NotNull PacketContainerSetData packetContainerSetData)
     {
         handleInvalidPacket(packetContainerSetData);
-        if (mc.thePlayer.craftingInventory != null && mc.thePlayer.craftingInventory.containerId == packetContainerSetData.windowId)
+        if (mc.thePlayer.containerMenu != null && mc.thePlayer.containerMenu.containerId == packetContainerSetData.windowId)
         {
-            mc.thePlayer.craftingInventory.setData(packetContainerSetData.progressBar, packetContainerSetData.progressBarValue);
+            mc.thePlayer.containerMenu.setData(packetContainerSetData.progressBar, packetContainerSetData.progressBarValue);
         }
     }
 
